sc::ReplSCMatrixKit(3)

NAME
sc::ReplSCMatrixKit - The ReplSCMatrixKit produces matrices that work in a many processor environment.

SYNOPSIS

#include <repl.h>

Inherits sc::SCMatrixKit.

  Public Methods
ReplSCMatrixKit ()
ReplSCMatrixKit (const Ref< KeyVal > &)
~ReplSCMatrixKit ()
SCMatrix * matrix (const RefSCDimension &, const RefSCDimension &)
Given the dimensions, create matrices or vectors.
SymmSCMatrix * symmmatrix (const RefSCDimension &)
DiagSCMatrix * diagmatrix (const RefSCDimension &)
SCVector * vector (const RefSCDimension &)

DETAILED DESCRIPTION

The ReplSCMatrixKit produces matrices that work in a many processor environment.

A copy of the entire matrix is stored on each node.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.